Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1884224 - [Assisted-4.6] [Staging] Installation stuck on finalizing because console pod doesn't exist in cluster
Summary: [Assisted-4.6] [Staging] Installation stuck on finalizing because console pod...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: assisted-installer
Version: 4.6
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Ronnie Lazar
QA Contact: Udi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-01 11:55 UTC by Ido Ovadia
Modified: 2020-10-29 21:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
cluster logs (53.00 KB, application/x-tar)
2020-10-01 11:56 UTC, Ido Ovadia
no flags Details
controller log (14.74 KB, text/plain)
2020-10-01 12:03 UTC, Ido Ovadia
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-version-operator issues 463 0 None closed cluster version operator is not starting console 2020-12-31 16:14:10 UTC

Description Ido Ovadia 2020-10-01 11:55:01 UTC
Description of problem:
=======================
Installation stuck on finalizing because controller is waiting for console pod that doesn't exists in cluster


Version-Release number of selected component:
============================================= 
Staging 1st Oct 

"release_tag": "v1.0.9.6-ds",


How reproducible:
=================
1/1


Steps to Reproduce:
===================
1. Start cluster installation (3*master, 2*worker)
2. kill installer on one of the worker


Actual results:
===============
Installation stuck on Finalizing cluster installation: 89%


Expected results:
=================
Installation will finish

Additional info:
================
logs are enclosed

Comment 1 Ido Ovadia 2020-10-01 11:56:22 UTC
Created attachment 1718155 [details]
cluster logs

Comment 2 Ido Ovadia 2020-10-01 12:03:31 UTC
Created attachment 1718156 [details]
controller log

Comment 4 Ronnie Lazar 2020-10-01 13:51:24 UTC
itsoiref@redhat.com isn't this the same as https://bugzilla.redhat.com/show_bug.cgi?id=1879169?

Comment 5 Ronnie Lazar 2020-10-01 14:26:51 UTC
According to itsoiref@redhat.com this is not related

Comment 6 Igal Tsoiref 2020-10-06 12:35:40 UTC
Error occurred to to bug in cluster-varsion-operator.
We update release image with the fix
https://github.com/openshift/assisted-service/pull/489


Note You need to log in before you can comment on or make changes to this bug.